/*!
 * Copyright 2017 Quantex GmbH
 */

.header {
    / Status bar height on iOS 11.0 / padding-top: constant(safe-area-inset-top);
    / Status bar height on iOS 11+/ padding-top: env(safe-area-inset-top);
}

h1 {
    font-size: 30px;
}

h2 {
    font-size: 22px;
}

.head {
    margin: 10px 0 5px 0;
    font-size: 22px;
    font-weight: 600;
}

h3 {
    font-size: 20px;
}

h5 {
    font-size: 16px;
}

.h1,
.h2,
.h3,
.h4,
.h5,
.h6,
h1,
h2,
h3,
h4,
h5,
h6 {
    font-weight: 600;
}

#wrapper {
    padding-left: 250px;
}

#wrapper.toggled {
    padding-left: 0;
}

#sidebar-wrapper {
    width: 250px;
    position: fixed;
    top: 0;
    left: 0;
    z-index: 999;
    height: 100vh;
    overflow-y: auto;
    background: #fff;
}

#wrapper.toggled #sidebar-wrapper {
    margin-left: -250px;
}

#page-content-wrapper {
    width: 100%;
    position: absolute;
    /* padding: 15px; */
}

#wrapper.toggled #page-content-wrapper {
    position: absolute;
    margin-right: -250px;
}


/* Sidebar Styles */

.sidebar-nav {
    position: absolute;
    top: 0;
    width: 250px;
    margin: 0;
    padding: 0;
    list-style: none;
}

.sidebar-nav li {
    /* text-indent: 20px; */
    line-height: 0px;
}

line .sidebar-nav li a {
    display: block;
    text-decoration: none;
    color: #424242;
    font-weight: 600;
    padding: 16px 20px 16px 20px;
    cursor: pointer;
    line-height: 30px;
}

.sidebar-nav li a {
    display: block;
    color: rgb(66, 66, 66);
    font-weight: 600;
    padding: 16px 12px 16px 12px;
    cursor: pointer;
    text-decoration: none;
    line-height: 30px;
}

.line-nav {
    padding: 20px 5px 20px 20px !important;
    line-height: 24px !important;
}

@-moz-document url-prefix() {
    .line-nav {
        padding: 16px 14px 16px 14px !important;
    }
}

.sidebar-nav li a:hover {
    text-decoration: none;
    color: #fff;
    background: #ff6600;
}

.sidebar-nav li a:active,
.sidebar-nav li a:focus {
    text-decoration: none;
}

.sidebar-nav>li.active {
    border-left: 4px solid #ff6600;
    background: #EEEEEE;
}

.sidebar-nav>.sidebar-brand {
    height: 65px;
    font-size: 22px;
    line-height: 60px;
    background: #000;
}

.sidebar-nav>.sidebar-brand a {
    color: #fff;
}

.sidebar-nav>.sidebar-brand a:hover {
    color: #eeeeee;
    background: none;
}

@media(min-width:768px) {
    #wrapper {
        padding-left: 250px;
    }
    #wrapper.toggled {
        padding-left: 0;
    }
    #sidebar-wrapper {
        width: 250px;
    }
    #wrapper.toggled #sidebar-wrapper {
        width: 0;
    }
    #page-content-wrapper {
        position: relative;
    }
    @media (min-width: 768px) {
        #page-content-wrapper {
            position: inherit;
            min-height: auto;
        }
    }
    #wrapper.toggled #page-content-wrapper {
        position: relative;
        margin-right: 0;
    }
}

@media screen and (max-width: 767px) {
    .table-responsive {
        border: 1px solid #fff;
    }
}

.btn-group-lg>.btn,
.btn-lg {
    font-size: 16px;
}

.dropdown-menu>li>a {
    line-height: 32px;
    margin: 8px;
    text-align: left;
    font-weight: 600;
}

.nav.navbar-top-links a {
    font-size: 18px;
}

.nav.navbar-right>li>a {
    color: #999c9e;
}

.navbar-right {
    float: right!important;
}

@media (min-width: 768px) {
    .navbar-right {
        margin-right: 0px;
    }
}

.navbar-top-links li a {
    padding: 16px 10px;
    min-height: 50px;
}

.navbar-top-links li:last-child {
    margin-right: 0px;
}

@media (min-width: 768px) {
    .navbar-top-links .dropdown-messages,
    .navbar-top-links .dropdown-tasks,
    .navbar-top-links .dropdown-alerts {
        margin-left: auto;
    }
}

.minimalize-styl-2 {
    padding: 7px 16px;
    font-size: 17px;
    float: left;
}

.bootstrap-select.btn-group.show-tick .dropdown-menu li.selected a span.check-mark {
    margin-top: 10px;
    right: 25px;
}

.bootstrap-select.btn-group .dropdown-toggle .filter-option {
    width: auto;
}

.input-sm {
    height: 36px;
}

.form-control,
.single-line {
    font-size: 16px;
}

.form-control {
    height: auto;
    border: 1px solid #cccccc;
}

.social-comment textarea {
    font-size: 14px;
}

.btn-space {
    margin-right: 10px;
    margin-bottom: 10px;
}

.btn-white {
    color: inherit;
    background: white;
    border: 1px solid #ccc;
}

.dropdown-menu>li>a {
    /*   white-space: normal; */
}


/* For small screen */

@media (max-width: 768px) {
    body {
        font-size: 10px;
    }
}

body {
    font-size: 17px;
}

.navbar {
    min-height: 60px;
}

body.mini-navbar .navbar-default .nav>li>a {
    font-size: 22px;
}

.logo-element {
    padding: 18px 0;
}

.nav-header {
    padding: 30px;
    background-color: black;
}

.nav-2 {
    padding: 0px !important;
    background-color: #F9F9F9;
}

.nav.navbar-top-links>li>a:hover,
.nav.navbar-top-links>li>a:focus {
    background-color: transparent;
}

body.mini-navbar .navbar-default .nav>li>.nav-second-level li a {
    font-size: 17px;
    border-radius: 2px;
    margin: 4px 2px;
}

@media (max-width: 768px) {
    .navbar-header {
        display: inline;
        float: left;
    }
}

.nav.navbar-top-links .dropdown-alerts a {
    font-size: 15px;
}

.navbar-top-links .dropdown-menu li a {
    padding: 8px 10px;
}

.navbar-top-links li {
    display: inline-block;
}

.alert-danger {
    padding: 8px !important;
    border: 1px solid transparent;
    border-radius: 4px;
    color: #a94442;
    background-color: #f2dede;
    border-color: #ebccd1;
}

.alert-warning {
    padding: 8px !important;
    border: 1px solid transparent;
    border-radius: 4px;
    color: #8a6d3b;
    background-color: #fcf8e3;
    border-color: #faebcc;
}

.alert-primary {
    padding: 8px !important;
    border: 1px solid transparent;
    border-radius: 4px;
    color: #8a6d3b;
    background-color: #ffc49d;
    border-color: #e6af8b;
}

.alert-info {
    padding: 8px !important;
    border: 1px solid transparent;
    border-radius: 4px;
    color: #31708f;
    background-color: #d9edf7;
    border-color: #bce8f1;
}

.alert-success {
    padding: 8px !important;
    border: 1px solid transparent;
    border-radius: 4px;
    color: #3c763d;
    background-color: #dff0d8;
    border-color: #d6e9c6;
}

.box-heading {
    background-color: #f3f6fb;
    border-bottom: none;
}

.box-heading h3 {
    font-weight: 200;
    font-size: 24px;
}

.box-title h5 {
    display: inline-block;
    margin: 0 0 7px;
    padding: 0;
    text-overflow: ellipsis;
    float: left;
    font-size: 17px;
}

.box:after,
.box:before {
    display: table;
}

.box-title {
    -moz-border-bottom-colors: none;
    -moz-border-left-colors: none;
    -moz-border-right-colors: none;
    -moz-border-top-colors: none;
    background-color: #ffffff;
    border-color: #e7eaec;
    border-image: none;
    border-style: solid solid none;
    border-width: 2px 0 0;
    color: inherit;
    margin-bottom: 0;
    padding: 15px 15px 7px;
    min-height: 48px;
}

.box-title2 {
    -moz-border-bottom-colors: none;
    -moz-border-left-colors: none;
    -moz-border-right-colors: none;
    -moz-border-top-colors: none;
    background-color: #ffffff;
    border-color: #ffffff;
    border-image: none;
    border-style: solid solid none;
    border-width: 2px 0 0;
    color: inherit;
    margin-bottom: 0;
    padding: 8px 10px;
    min-height: 34px;
}

.box-title .label {
    float: left;
    margin-left: 4px;
}

.btn {
    font-size: 16px;
}

.btn-sm {
    padding: 7px 12px;
    font-size: 14px;
}

.box-content {
    background-color: #ffffff;
    color: inherit;
    border-color: #EEEEEE;
    padding: 10px 10px 10px 10px;
    border-style: solid solid none;
    border-width: 1px 0;
    /* clear: both; */
}

.box-content-big {
    background-color: #ffffff;
    color: inherit;
    padding: 15px 15px 15px 15px;
    border-color: #EEEEEE;
    border-image: none;
    border-style: solid solid none;
    border-width: 1px 0;
}

.box-content-vin {
    color: inherit;
    padding: 10px 10px 10px 10px;
    border: 1px solid #e0e0e0;
    /* clear: both; */
}

.box-content>.sk-spinner {
    display: none;
}

.box-content.sk-loading {
    position: relative;
}

.box-content.sk-loading:after {
    content: '';
    background-color: rgba(255, 255, 255, 0.7);
    position: absolute;
    top: 0;
    left: 0;
    right: 0;
    bottom: 0;
}

.box-content.sk-loading>.sk-spinner {
    display: block;
    position: absolute;
    top: 40%;
    left: 0;
    right: 0;
    z-index: 2000;
}

.spindata>.sk-spinner {
    display: none;
}

.spindata.sk-loading {
    position: relative;
}

.spindata.sk-loading:after {
    content: '';
    background-color: rgba(255, 255, 255, 0.7);
    position: absolute;
    top: 0;
    left: 0;
    right: 0;
    bottom: 0;
}

.logo-name {
    color: #e6e6e6;
    font-size: 180px;
    font-weight: 800;
    letter-spacing: -10px;
    margin-bottom: 0;
}

.brand-name {
    font-size: 42px;
    margin: 6px 0px 12px 0px !important;
}

.text-version {
    height: 16px;
    font-size: 12px;
    margin: 2px 0px 0px 0px;
}

.text-primary {
    color: #ff6600;
}

.text-black {
    color: black;
}

.text-red {
    color: #ee877f;
}

.text-grey {
    color: #d8d8d8;
}

.text-brown {
    color: #aa9188;
}

.text-green {
    color: #a5c58e;
}

.text-navy {
    color: #dc7a4a;
}

.text-success {
    color: #5cb85c;
}

.text-info {
    color: #5bc0de;
}

.text-warning {
    color: #f0ad4e;
}

.text-danger {
    color: #d9534f;
}

.text-muted {
    color: #888888;
}

.hover-filter {
    transition: all 0.5s ease;
}

.hover-filter:hover {
    filter: brightness(50%);
}

.hover-filter-hue {
    transition: all 0.5s ease;
}

.hover-filter-hue:hover {
    filter: hue-rotate(180deg);
}

.hover-filter-opacy {
    transition: all 0.5s ease;
}

.hover-filter-opacy:hover {
    filter: opacity(30%);
}

.hover-shadow {
    transition: all 0.2s cubic-bezier(.10, .4, .01, 1);
}

.hover-shadow:hover {
    box-shadow: 0 10px 20px rgba(0, 0, 0, 0.10), 0 10px 10px rgba(0, 0, 0, 0.10);
}

.text-white {
    color: #ffffff;
}

body {
    font-family: "Open Sans", "Helvetica Neue", Helvetica, Arial, sans-serif;
    background-color: #ffffff;
    color: black;
    overflow-x: hidden;
}

html,
body {
    height: 100%;
}

.breadcrumb {
    /*   font-size: 14px; */
    /*   background-color: #ffffff; */
    /*   padding: 0; */
    margin-bottom: 0;
    background-color: transparent;
}

.p-xxs {
    padding: 5px;
}

.p-xs {
    padding: 10px;
}

.p-sm {
    padding: 15px;
}

.p-m {
    padding: 20px;
}

.p-md {
    padding: 25px;
}

.p-lg {
    padding: 30px;
}

.p-xl {
    padding: 40px;
}

.p-w-xs {
    padding: 0 10px;
}

.p-w-sm {
    padding: 0 15px;
}

.p-w-m {
    padding: 0 20px;
}

.p-w-md {
    padding: 0 25px;
}

.p-w-lg {
    padding: 0 30px;
}

.p-w-xl {
    padding: 0 40px;
}

.p-h-xs {
    padding: 10px 0;
}

.p-h-sm {
    padding: 15px 0;
}

.p-h-m {
    padding: 20px 0;
}

.p-h-md {
    padding: 25px 0;
}

.p-h-lg {
    padding: 30px 0;
}

.p-h-xl {
    padding: 40px 0;
}

.m-xxs {
    margin: 2px 4px;
}

.m {
    margin: 15px;
}

.m-xs {
    margin: 5px;
}

.m-sm {
    margin: 10px;
}

.m-md {
    margin: 20px;
}

.m-lg {
    margin: 30px;
}

.m-xl {
    margin: 50px;
}

.m-n {
    margin: 0 !important;
}

.m-l-none {
    margin-left: 0;
}

.m-l-xs {
    margin-left: 5px;
}

.m-l-sm {
    margin-left: 10px;
}

.m-l {
    margin-left: 15px;
}

.m-l-md {
    margin-left: 20px;
}

.m-l-lg {
    margin-left: 30px;
}

.m-l-xl {
    margin-left: 40px;
}

.m-l-n-xxs {
    margin-left: -1px;
}

.m-l-n-xs {
    margin-left: -5px;
}

.m-l-n-sm {
    margin-left: -10px;
}

.m-l-n {
    margin-left: -15px;
}

.m-l-n-md {
    margin-left: -20px;
}

.m-l-n-lg {
    margin-left: -30px;
}

.m-l-n-xl {
    margin-left: -40px;
}

.m-t-none {
    margin-top: 0;
}

.m-t-xxs {
    margin-top: 1px;
}

.m-t-xs {
    margin-top: 5px;
}

.m-t-sm {
    margin-top: 10px;
}

.m-t {
    margin-top: 15px;
}

.m-t-md {
    margin-top: 20px;
}

.m-t-lg {
    margin-top: 30px;
}

.m-t-xl {
    margin-top: 40px;
}

.m-t-n-xxs {
    margin-top: -1px;
}

.m-t-n-xs {
    margin-top: -5px;
}

.m-t-n-sm {
    margin-top: -10px;
}

.m-t-n {
    margin-top: -15px;
}

.m-t-n-md {
    margin-top: -20px;
}

.m-t-n-lg {
    margin-top: -30px;
}

.m-t-n-xl {
    margin-top: -40px;
}

.m-r-none {
    margin-right: 0;
}

.m-r-xxs {
    margin-right: 1px;
}

.m-r-xs {
    margin-right: 5px;
}

.m-r-sm {
    margin-right: 10px;
}

.m-r {
    margin-right: 15px;
}

.m-r-md {
    margin-right: 20px;
}

.m-r-lg {
    margin-right: 30px;
}

.m-r-xl {
    margin-right: 40px;
}

.m-r-n-xxs {
    margin-right: -1px;
}

.m-r-n-xs {
    margin-right: -5px;
}

.m-r-n-sm {
    margin-right: -10px;
}

.m-r-n {
    margin-right: -15px;
}

.m-r-n-md {
    margin-right: -20px;
}

.m-r-n-lg {
    margin-right: -30px;
}

.m-r-n-xl {
    margin-right: -40px;
}

.m-b-none {
    margin-bottom: 0;
}

.m-b-xxs {
    margin-bottom: 1px;
}

.m-b-xs {
    margin-bottom: 5px;
}

.m-b-sm {
    margin-bottom: 10px;
}

.m-b {
    margin-bottom: 15px;
}

.m-b-md {
    margin-bottom: 20px;
}

.m-b-lg {
    margin-bottom: 30px;
}

.m-b-xl {
    margin-bottom: 40px;
}

.m-b-n-xxs {
    margin-bottom: -1px;
}

.m-b-n-xs {
    margin-bottom: -5px;
}

.m-b-n-sm {
    margin-bottom: -10px;
}

.m-b-n {
    margin-bottom: -15px;
}

.m-b-n-md {
    margin-bottom: -20px;
}

.m-b-n-lg {
    margin-bottom: -30px;
}

.m-b-n-xl {
    margin-bottom: -40px;
}

.no-margins {
    margin: 0 !important;
}

.breadcrumb {
    margin-bottom: 0;
}

.white-bg,
.bg-white {
    background-color: #ffffff;
}

.gray-bg,
.bg-muted {
    background-color: #f3f3f4;
}

.border-bottom {
    border-bottom: 1px solid #e7eaec !important;
}

a.text-primary:hover,
a.text-primary:focus {
    color: #ff6600;
}

.btn {
    font-weight: 600;
    border-radius: 2px;
    white-space: normal;
    box-shadow: inset 0px 1px 0px 0 rgba(255, 255, 255, 0.32), inset 0 0 0 1px rgba(14, 14, 14, 0.02), 0 1px 2px 0 rgba(0, 0, 0, 0.09);
    -moz-box-shadow: inset 0px 1px 0px 0 rgba(255, 255, 255, 0.32), inset 0 0 0 1px rgba(14, 14, 14, 0.02), 0 1px 2px 0 rgba(0, 0, 0, 0.09);
    -webkit-box-shadow: inset 0px 1px 0px 0 rgba(255, 255, 255, 0.32), inset 0 0 0 1px rgba(14, 14, 14, 0.02), 0 1px 2px 0 rgba(0, 0, 0, 0.09);
}

.btn-w-m {
    min-width: 120px;
}

.btn-primary:focus,
.btn-primary.focus {
    color: #fff;
    background-color: #ff6600;
    border-color: #ff6600;
}

.btn-primary:hover {
    color: #fff;
    background-color: #ff6600;
    border-color: #ff6600;
}

.btn-primary:active,
.btn-primary.active,
.open>.dropdown-toggle.btn-primary {
    color: #fff;
    background-color: #ff6600;
    border-color: #ff6600;
}

.btn-primary:active,
.btn-primary.active,
.open>.dropdown-toggle.btn-primary {
    color: #fff;
    background-color: #ff6600;
    border-color: #ff6600;
}

.btn-primary:active:hover,
.btn-primary.active:hover,
.open>.dropdown-toggle.btn-primary:hover,
.btn-primary:active:focus,
.btn-primary.active:focus,
.open>.dropdown-toggle.btn-primary:focus,
.btn-primary:active.focus,
.btn-primary.active.focus,
.open>.dropdown-toggle.btn-primary.focus {
    color: #fff;
    background-color: #ff6600;
    border-color: #ff6600;
}

.btn-link {
    color: #ff6600;
    box-shadow: none;
    -moz-box-shadow: none;
    -webkit-box-shadow: none;
}

.btn-link:hover,
.btn-link:focus {
    color: #ff6600;
}

.btn-primary {
    color: #fff;
    background-color: #ff6600;
    border-color: #ff6600;
}

.btn-primary:hover {
    color: #fff;
    background-color: #ec6308;
    border-color: #ff6600;
}

.btn-primary.disabled,
.btn-primary.disabled:hover,
.btn-primary.disabled:focus,
.btn-primary.disabled:active,
.btn-primary.disabled.active,
.btn-primary[disabled],
.btn-primary[disabled]:hover,
.btn-primary[disabled]:focus,
.btn-primary[disabled]:active,
.btn-primary.active[disabled],
fieldset[disabled] .btn-primary,
fieldset[disabled] .btn-primary:hover,
fieldset[disabled] .btn-primary:focus,
fieldset[disabled] .btn-primary:active,
fieldset[disabled] .btn-primary.active {
    background-color: #ff6600;
    border-color: #ff6600;
}

.btn:focus {
    outline: none !important;
}

.breadcrumb>.active {
    color: black;
}

.label-primary[href]:hover,
.label-primary[href]:focus {
    background-color: #ff6600;
}

strong {
    font-weight: 600;
}

.navbar {
    margin-bottom: 0px;
}

a {
    color: #ff6600;
    text-decoration: none;
    cursor: pointer;
}

a:hover,
a:focus {
    color: #ec6308;
    text-decoration: none;
}

.label {
    font-weight: 400;
}

label {
    font-weight: 400;
}

.form-control {
    font-weight: 600;
    border: 1px solid #ccc;
}

.form-group-lg .form-control {
    border-radius: 3px;
}

.form-control,
.form-control:focus,
.has-error .form-control:focus,
.has-success .form-control:focus,
.has-warning .form-control:focus,
.navbar-collapse,
.navbar-form,
.navbar-form-custom .form-control:focus,
.navbar-form-custom .form-control:hover,
.open .btn.dropdown-toggle,
.panel,
.progress,
.progress-bar {
    box-shadow: none;
}

.page-heading {
    border-top: 0;
    padding: 0 10px 20px 10px;
}

.panel-heading h1,
.panel-heading h2 {
    margin-bottom: 5px;
}

.panel-primary {
    border-color: #ff6600;
}

.panel-primary>.panel-heading {
    background-color: #ff6600;
    border-color: #ff6600;
    color: #ffffff;
}

.panel-success {
    border-color: #5cb85c;
}

.panel-success>.panel-heading {
    background-color: #5cb85c;
    border-color: #5cb85c;
    color: #ffffff;
}

.panel-info {
    border-color: #5bc0de;
}

.panel-info>.panel-heading {
    background-color: #5bc0de;
    border-color: #5bc0de;
    color: #ffffff;
}

.panel-warning {
    border-color: #f0ad4e;
}

.panel-warning>.panel-heading {
    background-color: #f0ad4e;
    border-color: #f0ad4e;
    color: #ffffff;
}

.panel-danger {
    border-color: #d9534f;
}

.panel-footer {
    background-color: #fbfbfb;
    padding: 8px 15px;
}

.panel-danger>.panel-heading {
    background-color: #d9534f;
    border-color: #d9534f;
    color: #ffffff;
}

.progress-bar {
    /*background-color: #dc7a4a;*/
}

.progress-small,
.progress-small .progress-bar {
    height: 10px;
}

.progress-small,
.progress-mini {
    margin-top: 5px;
}

.progress-mini,
.progress-mini .progress-bar {
    height: 5px;
    margin-bottom: 0;
}

.form-control,
.single-line {
    background-color: #FFFFFF;
    background-image: none;
    border: 1px solid #ccc;
    border-radius: 2px;
    color: inherit;
    display: block;
    padding: 6px 12px;
    transition: border-color 0.15s ease-in-out 0s, box-shadow 0.15s ease-in-out 0s;
    width: 100%;
}

.form-control:focus,
.single-line:focus {
    border-color: #dc7a4a;
}

.has-success .form-control,
.has-success .form-control:focus {
    border-color: #dc7a4a;
}

.has-warning .form-control,
.has-warning .form-control:focus {
    border-color: #f8ac59;
}

.has-error .form-control,
.has-error .form-control:focus {
    border-color: #ed5565;
    border: 2px solid #ed5565;
}

.form-error,
.form-error:focus {
    border-color: #ed5565;
    border: 2px solid #ed5565;
    background-color: #ffd6d6;
}

.has-error .form-control-feedback {
    color: #ed5565;
}

.has-success .control-label {
    color: #dc7a4a;
}

.has-warning .control-label {
    color: #f8ac59;
}

.has-error .control-label {
    color: #ed5565;
}

.control-label {
    font-weight: 400;
}

.login-col {
    max-width: 800px;
    margin: 0 auto;
    padding: 100px 20px 20px 20px;
}

.logo-name {
    color: #e6e6e6;
    font-size: 180px;
    font-weight: 800;
    letter-spacing: -10px;
    margin-bottom: 0;
}

.brand-name-buy {
    font-size: 36px;
    padding: 10px 10px 9px 10px;
}

.dropdown-menu {
    font-size: 17px;
}

@media (max-width: 500px) {
    .forum-avatar {
        float: none;
        margin-left: 25%;
        margin-bottom: 20px;
    }
}

.forum-avatar {
    float: left;
    margin-right: 20px;
    text-align: center;
    width: 110px;
}

.img-sm {
    width: 32px;
    height: 32px;
}

.img-md {
    width: 64px;
    height: 64px;
}

.img-lg {
    width: 96px;
    height: 96px;
}

.badge {
    background-color: #d1dade;
    color: #5e5e5e;
    font-family: 'Open Sans', 'Helvetica Neue', Helvetica, Arial, sans-serif;
    font-size: 12px;
    font-weight: 600;
    padding-bottom: 3px;
    padding-left: 6px;
    padding-right: 6px;
    text-shadow: none;
}

.label-primary,
.badge-primary {
    background-color: #ff6600;
    color: #FFFFFF;
}

.label-success,
.badge-success {
    background-color: #5cb85c;
    color: #FFFFFF;
}

.label-warning,
.badge-warning {
    background-color: #f0ad4e;
    color: #FFFFFF;
}

.label-warning-light,
.badge-warning-light {
    background-color: #f8ac59;
    color: #ffffff;
}

.label-danger,
.badge-danger {
    background-color: #d9534f;
    color: #FFFFFF;
}

.label-info,
.badge-info {
    background-color: #5bc0de;
    color: #FFFFFF;
}

.label-inverse,
.badge-inverse {
    background-color: #262626;
    color: #FFFFFF;
}

.label-white,
.badge-white {
    background-color: #FFFFFF;
    color: #5E5E5E;
}

.label-btn,
.badge-btn {
    background-color: #f5f5f575;
    color: #3c3c3c;
    border: 1px solid #00000040;
}

.label-white,
.badge-disable {
    background-color: #bababa;
    /*   color: #8B91A0; */
}

.btn-rounded {
    border-radius: 50px;
}

.btn-outline {
    color: inherit;
    background-color: transparent;
    transition: all .5s;
}

.btn-primary.btn-outline {
    color: #dc7a4a;
}

.btn-success.btn-outline {
    color: #1c84c6;
}

.btn-info.btn-outline {
    color: #23c6c8;
}

.btn-warning.btn-outline {
    color: #f8ac59;
}

.btn-danger.btn-outline {
    color: #ed5565;
}

.btn-primary.btn-outline:hover,
.btn-success.btn-outline:hover,
.btn-info.btn-outline:hover,
.btn-warning.btn-outline:hover,
.btn-danger.btn-outline:hover {
    color: #fff;
}

.media-body>.media {
    background: #f9f9f9;
    border-radius: 3px;
    border: 1px solid #f1f1f1;
}

.author-info {
    color: #676a6c;
    margin-top: 5px;
    text-align: center;
}

.forum-photo {
    max-width: 140px;
    border-radius: 3px;
}

.one-row {
    white-space: nowrap !important;
}

.box-content>.sk-spinner {
    display: none;
}

.box-content.sk-loading {
    position: relative;
}

.box-content.sk-loading:after {
    content: '';
    background-color: rgba(255, 255, 255, 0.7);
    position: absolute;
    top: 0;
    left: 0;
    right: 0;
    bottom: 0;
}

.box-content.sk-loading>.sk-spinner {
    display: block;
    position: absolute;
    top: 40%;
    left: 0;
    right: 0;
    z-index: 2000;
}

.spindata>.sk-spinner {
    display: none;
}

.spindata.sk-loading {
    position: relative;
}

.spindata.sk-loading:after {
    content: '';
    background-color: rgba(255, 255, 255, 0.7);
    position: absolute;
    top: 0;
    left: 0;
    right: 0;
    bottom: 0;
}

.spindata.sk-loading>.sk-spinner {
    display: block;
    position: absolute;
    top: 40%;
    left: 0;
    right: 0;
    z-index: 1000;
}

.sk-spinner-cube-grid.sk-spinner {
    width: 45px;
    height: 45px;
    margin: 0 auto;
}

.sk-spinner-cube-grid .sk-cube {
    width: 33%;
    height: 33%;
    background-color: #ff6600;
    float: left;
    -webkit-animation: sk-cubeGridScaleDelay 1.3s infinite ease-in-out;
    animation: sk-cubeGridScaleDelay 1.3s infinite ease-in-out;
}

.sk-spinner-cube-grid .sk-cube:nth-child(1) {
    -webkit-animation-delay: 0.2s;
    animation-delay: 0.2s;
}

.sk-spinner-cube-grid .sk-cube:nth-child(2) {
    -webkit-animation-delay: 0.3s;
    animation-delay: 0.3s;
}

.sk-spinner-cube-grid .sk-cube:nth-child(3) {
    -webkit-animation-delay: 0.4s;
    animation-delay: 0.4s;
}

.sk-spinner-cube-grid .sk-cube:nth-child(4) {
    -webkit-animation-delay: 0.1s;
    animation-delay: 0.1s;
}

.sk-spinner-cube-grid .sk-cube:nth-child(5) {
    -webkit-animation-delay: 0.2s;
    animation-delay: 0.2s;
}

.sk-spinner-cube-grid .sk-cube:nth-child(6) {
    -webkit-animation-delay: 0.3s;
    animation-delay: 0.3s;
}

.sk-spinner-cube-grid .sk-cube:nth-child(7) {
    -webkit-animation-delay: 0s;
    animation-delay: 0s;
}

.sk-spinner-cube-grid .sk-cube:nth-child(8) {
    -webkit-animation-delay: 0.1s;
    animation-delay: 0.1s;
}

.sk-spinner-cube-grid .sk-cube:nth-child(9) {
    -webkit-animation-delay: 0.2s;
    animation-delay: 0.2s;
}

@-webkit-keyframes sk-cubeGridScaleDelay {
    0%,
    70%,
    100% {
        -webkit-transform: scale3D(1, 1, 1);
        transform: scale3D(1, 1, 1);
    }
    35% {
        -webkit-transform: scale3D(0, 0, 1);
        transform: scale3D(0, 0, 1);
    }
}

@keyframes sk-cubeGridScaleDelay {
    0%,
    70%,
    100% {
        -webkit-transform: scale3D(1, 1, 1);
        transform: scale3D(1, 1, 1);
    }
    35% {
        -webkit-transform: scale3D(0, 0, 1);
        transform: scale3D(0, 0, 1);
    }
}

.bg-dgray {
    background-color: rgb(230, 230, 230)!important;
}

.mail-search {
    max-width: 300px;
}

.tabs-container .panel-body {
    background: #fff;
    border: 1px solid #e7eaec;
    border-radius: 2px;
    padding: 20px;
    position: relative;
}

.tabs-container .nav-tabs>li.active>a,
.tabs-container .nav-tabs>li.active>a:hover,
.tabs-container .nav-tabs>li.active>a:focus {
    border: 1px solid #e7eaec;
    border-bottom-color: transparent;
    background-color: #fff;
}

.tabs-container .nav-tabs>li {
    float: left;
    margin-bottom: -1px;
}

.tabs-container .tab-pane .panel-body {
    border-top: none;
}

.tabs-container .nav-tabs>li.active>a,
.tabs-container .nav-tabs>li.active>a:hover,
.tabs-container .nav-tabs>li.active>a:focus {
    border: 1px solid #e7eaec;
    border-bottom-color: transparent;
}

.tabs-container .nav-tabs {
    border-bottom: 1px solid #e7eaec;
}

.tabs-container .tab-pane .panel-body {
    border-top: none;
}

.tabs-container .tabs-left .tab-pane .panel-body,
.tabs-container .tabs-right .tab-pane .panel-body {
    border-top: 1px solid #e7eaec;
}

.tabs-container .nav-tabs>li a:hover {
    /*background: transparent;*/
    border-color: transparent;
}

.tabs-container .tabs-below>.nav-tabs,
.tabs-container .tabs-right>.nav-tabs,
.tabs-container .tabs-left>.nav-tabs {
    border-bottom: 0;
}

.tabs-container .tabs-left .panel-body {
    position: static;
}

.tabs-container .tabs-left>.nav-tabs,
.tabs-container .tabs-right>.nav-tabs {
    width: 20%;
}

.tabs-container .tabs-left .panel-body {
    width: 80%;
    margin-left: 20%;
}

.tabs-container .tabs-right .panel-body {
    width: 80%;
    margin-right: 20%;
}

.tabs-container .tab-content>.tab-pane,
.tabs-container .pill-content>.pill-pane {
    display: none;
}

.tabs-container .tab-content>.active,
.tabs-container .pill-content>.active {
    display: block;
}

.tabs-container .tabs-below>.nav-tabs {
    border-top: 1px solid #e7eaec;
}

.tabs-container .tabs-below>.nav-tabs>li {
    margin-top: -1px;
    margin-bottom: 0;
}

.tabs-container .tabs-below>.nav-tabs>li>a {
    -webkit-border-radius: 0 0 4px 4px;
    -moz-border-radius: 0 0 4px 4px;
    border-radius: 0 0 4px 4px;
}

.tabs-container .tabs-below>.nav-tabs>li>a:hover,
.tabs-container .tabs-below>.nav-tabs>li>a:focus {
    border-top-color: #e7eaec;
    border-bottom-color: transparent;
}

.tabs-container .tabs-left>.nav-tabs>li,
.tabs-container .tabs-right>.nav-tabs>li {
    float: none;
}

.tabs-container .tabs-left>.nav-tabs>li>a,
.tabs-container .tabs-right>.nav-tabs>li>a {
    min-width: 74px;
    margin-right: 0;
    margin-bottom: 3px;
}

.tabs-container .tabs-left>.nav-tabs {
    float: left;
    margin-right: 19px;
}

.tabs-container .tabs-left>.nav-tabs>li>a {
    margin-right: -1px;
    -webkit-border-radius: 4px 0 0 4px;
    -moz-border-radius: 4px 0 0 4px;
    border-radius: 4px 0 0 4px;
}

.tabs-container .tabs-left>.nav-tabs .active>a,
.tabs-container .tabs-left>.nav-tabs .active>a:hover,
.tabs-container .tabs-left>.nav-tabs .active>a:focus {
    border-color: #e7eaec transparent #e7eaec #e7eaec;
}

.tabs-container .tabs-right>.nav-tabs {
    float: right;
    margin-left: 19px;
}

.tabs-container .tabs-right>.nav-tabs>li>a {
    margin-left: -1px;
    -webkit-border-radius: 0 4px 4px 0;
    -moz-border-radius: 0 4px 4px 0;
    border-radius: 0 4px 4px 0;
}

.tabs-container .tabs-right>.nav-tabs .active>a,
.tabs-container .tabs-right>.nav-tabs .active>a:hover,
.tabs-container .tabs-right>.nav-tabs .active>a:focus {
    border-color: #e7eaec #e7eaec #e7eaec transparent;
    z-index: 1;
}

@media (max-width: 767px) {
    .tabs-container .nav-tabs>li {
        float: none !important;
    }
    .tabs-container .nav-tabs>li.active>a {
        border-bottom: 1px solid #e7eaec !important;
        margin: 0;
    }
}

.nav-tabs>li>a {
    color: #757575;
    font-weight: 600;
    padding: 10px 20px 10px 25px;
}

.nav>li>a {
    padding: 14px 12px 14px 12px;
    font-weight: 600;
}

.nav>li.disabled>a {
    color: #BDBDBD;
}

.no-padding {
    padding: 0 !important;
}

.no-borders {
    border: none !important;
}

.no-margins {
    margin: 0 !important;
}

.no-top-border {
    border-top: 0 !important;
}

.ibox-content.text-box {
    padding-bottom: 0;
    padding-top: 15px;
}

.border-left-right {
    border-left: 1px solid #e7eaec;
    border-right: 1px solid #e7eaec;
}

.border-top-bottom {
    border-top: 1px solid #e7eaec;
    border-bottom: 1px solid #e7eaec;
}

.border-left {
    border-left: 1px solid #e7eaec;
}

.border-right {
    border-right: 1px solid #e7eaec;
}

.border-top {
    border-top: 1px solid #e7eaec;
}

.border-bottom {
    border-bottom: 1px solid #e7eaec;
}

.border-size-sm {
    border-width: 3px;
}

.border-size-md {
    border-width: 6px;
}

.border-size-lg {
    border-width: 9px;
}

.border-size-xl {
    border-width: 12px;
}

.pagination>.active>a,
.pagination>.active>span,
.pagination>.active>a:hover,
.pagination>.active>span:hover,
.pagination>.active>a:focus,
.pagination>.active>span:focus {
    background-color: #f4f4f4;
    border-color: #DDDDDD;
    color: inherit;
    cursor: default;
    z-index: 2;
}

.pagination>li>a,
.pagination>li>span {
    background-color: #FFFFFF;
    border: 1px solid #DDDDDD;
    color: inherit;
    float: left;
    line-height: 1.42857;
    margin-left: -1px;
    padding: 4px 10px;
    position: relative;
    text-decoration: none;
}

@media (min-width: 768px) {
    .form-inline .form-control {
        width: 100%;
    }
}

.table>tbody>tr>td,
.table>tbody>tr>th,
.table>tfoot>tr>td,
.table>tfoot>tr>th,
.table>thead>tr>td,
.table>thead>tr>th {
    vertical-align: middle;
}

.list-group-item {
    border: 0px solid #ddd;
}


/* MODAL */

.modal-content {
    background-clip: padding-box;
    background-color: #FFFFFF;
    border: 1px solid rgba(0, 0, 0, 0);
    border-radius: 4px;
    box-shadow: 0 1px 3px rgba(0, 0, 0, 0.3);
    outline: 0 none;
    position: relative;
}

.modal-dialog {
    z-index: 2200;
}

.modal-body {
    padding: 20px 30px 30px 30px;
}

.inmodal .modal-body {
    background: #f8fafb;
}

.inmodal .modal-header {
    /*   padding: 30px 15px; */
    text-align: center;
}

.animated.modal.fade .modal-dialog {
    -webkit-transform: none;
    -ms-transform: none;
    -o-transform: none;
    transform: none;
}

.inmodal .modal-title {
    font-size: 26px;
}

.inmodal .modal-icon {
    font-size: 40px;
    /*   color: #e2e3e3; */
}

@media (min-width: 768px) {
    .inmodal .modal-icon {
        font-size: 84px;
    }
}

.modal-footer {
    margin-top: 0;
}

@media (min-width: 768px) {
    .modal-xl {
        width: 80%;
    }
}


/*Data Tables*/

div.dataTables_wrapper div.dataTables_length label {
    margin-bottom: 20px;
}

div.dataTables_wrapper div.dataTables_info {
    padding-top: 25px;
    font-size: 15px;
    color: #949494;
}

div.dataTables_wrapper div.dataTables_paginate {
    margin-bottom: 20px;
}

select.input-sm {
    height: 36px;
}

.clip {
    white-space: nowrap;
    /* Запрещаем перенос строк */
    overflow: hidden;
    /* Обрезаем все, что не помещается в область */
    text-overflow: ellipsis;
    /* Добавляем многоточие */
    width: 100px;
}

@media (min-width: 1180px) {
    .clip {
        width: 260px;
    }
}

@media (min-width: 1900px) {
    .clip {
        width: 350px;
    }
}

.clip300 {
    white-space: nowrap;
    overflow: hidden;
    text-overflow: ellipsis;
    width: 300px;
}

@media (min-width: 1180px) {
    .clip300 {
        width: 400px;
    }
}

@media (min-width: 1900px) {
    .clip300 {
        width: 500px;
    }
}

.clip-one {
    white-space: nowrap;
    /* Запрещаем перенос строк */
    overflow: hidden;
    /* Обрезаем все, что не помещается в область */
    text-overflow: ellipsis;
    /* Добавляем многоточие */
}

.no-padding .list-group-item:first-child {
    border-left: none;
    border-right: none;
    border-bottom: none;
    border-top: none;
}

.no-padding .list-group-item {
    border-left: none;
    border-right: none;
    border-bottom: none;
}

.list-group-item {
    background-color: inherit;
    border: 1px solid #e7eaec;
    display: block;
    margin-bottom: -1px;
    padding: 10px 15px;
    position: relative;
}

@media (max-width: 768px) {
    div.dataTables_wrapper div.dataTables_filter input {
        width: 70%;
        min-width: 80px;
    }
}

@media (max-width: 900px) {
    div.dataTables_wrapper div.dataTables_filter input {
        width: 70%;
        min-width: 80px;
    }
}

@media (max-width: 768px) {
    .tabs-container .panel-body {
        padding: 10px 10px 10px 10px;
    }
    .panel-body {
        padding: 10px 10px 10px 10px;
    }
}


/*CheckBox*/

.checkbox label,
.radio label {
    padding-left: 0px;
}

.checkbox label:after,
.radio label:after {
    content: '';
    display: table;
    clear: both;
}

.checkbox .cr,
.radio .cr {
    position: relative;
    display: inline-block;
    border: 1px solid #cccccc;
    border-radius: .25em;
    width: 1.3em;
    height: 1.3em;
    float: left;
    margin-right: .5em;
}

.radio .cr {
    border-radius: 50%;
}

.checkbox .cr .cr-icon,
.radio .cr .cr-icon {
    position: absolute;
    font-size: .8em;
    line-height: 0;
    top: 50%;
    left: 15%;
}

.radio .cr .cr-icon {
    margin-left: 0.05em;
}

.checkbox label input[type="checkbox"],
.radio label input[type="radio"] {
    display: none;
}

.checkbox label input[type="checkbox"]+.cr>.cr-icon,
.radio label input[type="radio"]+.cr>.cr-icon {
    opacity: 0;
}

.checkbox label input[type="checkbox"]:checked+.cr>.cr-icon,
.radio label input[type="radio"]:checked+.cr>.cr-icon {
    opacity: 1;
}

.checkbox label input[type="checkbox"]:disabled+.cr,
.radio label input[type="radio"]:disabled+.cr {
    opacity: .5;
}

.checkbox-big,
.radio-big {
    font-size: 1.2em;
}

.radio-big .cr .cr-icon {
    margin-left: 0.1em;
}

.checkbox-primary .cr,
.radio-primary .cr {
    border: 1px solid #ff6600;
    color: #ffffff;
    background-color: #ff6600;
}

.checkbox-default .cr,
.radio-default .cr {
    background-color: #ffffff;
}

.checkbox-info .cr,
.radio-info .cr {
    border: 1px solid #5bc0de;
    color: #ffffff;
    background-color: #5bc0de;
}

.checkbox-success .cr,
.radio-success .cr {
    border: 1px solid #5cb85c;
    color: #ffffff;
    background-color: #5cb85c;
}

.checkbox-warning .cr,
.radio-warning .cr {
    border: 1px solid #f0ad4e;
    color: #ffffff;
    background-color: #f0ad4e;
}

.checkbox-danger .cr,
.radio-danger .cr {
    border: 1px solid #d9534f;
    color: #ffffff;
    background-color: #d9534f;
}

.list-group-item.disabled,
.list-group-item.disabled:focus,
.list-group-item.disabled:hover {
    color: #b3b3b3;
    cursor: not-allowed;
    background-color: white;
}

.break-word {
    word-wrap: break-word !important;
}

.min160 {
    min-height: 160px;
}

.bootstrap-select.btn-group.disabled,
.bootstrap-select.btn-group>.disabled {
    cursor: not-allowed;
    box-shadow: none;
    background-color: #eee;
    opacity: 1;
    box-shadow: inset 0 1px 1px rgba(0, 0, 0, .075);
    -webkit-box-shadow: inset 0 1px 1px rgba(0, 0, 0, .075);
}

.vote-item {
    background: #ffffff;
}

.vote-title {
    padding-left: 10px;
    display: block;
    color: inherit;
    font-size: 18px;
    font-weight: 600;
}

.vote-info,
.vote-info a {
    color: #b4b6b8;
    font-size: 14px;
}

.vote-icon {
    padding-top: 10px;
    padding-right: 5px;
    text-align: right;
    display: block;
    color: #b4b6b8;
}

.vote-icon a {
    color: #b4b6b8;
}

.vote-info a {
    margin-right: -10px;
}

.social-footer {
    border-top: 1px solid #e7eaec;
    padding: 10px 15px;
    background: white;
}

.menu-item {
    display: inline-block;
    width: 168px;
}

.menu-icon {
    display: inline-block;
    float: left;
    width: 32px;
}

.menu-down {
    display: table-cell;
    vertical-align: middle;
}

.menu-table {
    display: table;
}

.toolbar .btn {
    margin-bottom: 10px;
}

.table>thead>tr>th:focus,
.table>tbody>tr>th:focus,
.table>tfoot>tr>th:focus,
.table>thead>tr>td:focus,
.table>tbody>tr>td:focus,
.table>tfoot>tr>td:focus {
    outline: none;
    box-shadow: none !important;
}

.modal-footer .btn+.btn {
    margin-left: 5px;
    margin-top: 0px;
}

@media all and (max-width:480px) {
    .modal-footer .btn+.btn {
        margin-left: 0px;
        margin-top: 10px;
    }
}

@media screen and (-webkit-min-device-pixel-ratio: 0) {
    input[type="date"].form-control,
    input[type="time"].form-control,
    input[type="datetime-local"].form-control,
    input[type="month"].form-control {
        line-height: 17px;
    }
}

@media all and (max-width:480px) {
    .m-b-mb {
        margin-bottom: 0px;
    }
}

@media all and (max-width:480px) {
    .m-b-mb {
        margin-bottom: 10px;
    }
}

.p-md2 {
    padding: 20px 40px;
}

@media (max-width: 768px) {
    .p-md2 {
        padding: 0px;
    }
    .m-t-xl {
        margin-top: 20px;
    }
    .m-b-xl {
        margin-top: 20px;
    }
    .p-xs {
        padding: 6px;
    }
    .m-b-sm {
        margin-bottom: 6px;
    }
}

.m-b-sm-t {
    margin-bottom: 0px;
}

.m-b-xs-t {
    margin-bottom: 0px;
}

@media (max-width: 768px) {
    .m-b-xs-t {
        margin-bottom: 5px;
    }
    .m-b-sm-t {
        margin-bottom: 10px;
    }
}

.button-center-block {
    margin: 5px 5px 5px 5px;
}

@media all and (max-width:480px) {
    .button-center-block {
        width: 100%;
        display: block;
        margin: 10px 0px 10px 0px;
    }
}

@media all and (max-width:480px) {
    .button-block {
        width: 100%;
        display: block;
    }
}

.p-h-but {
    padding: 5px 0;
}

.mono {
    font-family: monospace;
}

.word {
    overflow-wrap: break-word;
    word-wrap: normal;
    word-break: break-all;
    line-break: auto;
    hyphens: auto;
}

#snote h1 {
    font-size: 2em;
    line-height: 1.4;
    margin-top: 50px;
    margin-bottom: 46px;
}

#snote h2 {
    font-size: 1.6em;
    line-height: 1.4;
    margin-top: 46px;
    margin-bottom: 24px;
}

#snote h3 {
    font-size: 1.3em;
    line-height: 1.4;
    margin-top: 38px;
    margin-bottom: 16px;
}

#snote p {
    line-height: 1.6;
}

#snote .bg-primary {
    padding: 15px;
}

#snote .bg-danger {
    padding: 15px;
    background-color: #ffa7a7;
}

#snote .bg-warning {
    padding: 15px;
}

#snote .bg-info {
    padding: 15px;
}

#snote .img {
    padding: 15px 0px 0px 25px;
}

.col-width {
    max-width: 200px;
    display: inline-block;
}

.box-tile {
    background-color: #ffffff;
    color: inherit;
    padding: 5px 10px 5px 10px;
}

.tile-text {
    color: black;
    display: table;
    width: 100%;
    height: 9em;
    text-align: center;
}

.tile-text div {
    /* для IE8+ */
    display: table-cell;
    vertical-align: middle;
}

.badge-left {
    position: absolute;
}

.form-control-feedback {
    position: absolute;
    top: 10px;
    right: 16px;
}

.dataTables_length {
    float: left;
    margin-right: 15px;
}

.bootstrap-tagsinput {
    padding: 5px 6px 7px 6px;
}

.label-lg {
    display: inline;
    padding: .2em .6em .3em;
    font-weight: 500;
    line-height: 1;
    color: #fff;
    text-align: center;
    white-space: nowrap;
    vertical-align: baseline;
    border-radius: .25em;
}

@media (min-width: 768px) .form-inline .checkbox,
.form-inline .radio {
    margin-top: 4px;
}

.grid .grid-item {
    transition: none !important;
}

.under {
    text-decoration: none;
    cursor: pointer;
    padding-bottom: 1px;
    border-bottom: 1px solid rgba(255, 102, 0, 0.13);
    -webkit-transition: border-bottom-color 0.2s ease-out;
    -moz-transition: border-bottom-color 0.2s ease-out;
    -o-transition: border-bottom-color 0.2s ease-out;
    transition: border-bottom-color 0.2s ease-out;
}

.under:hover,
.under:focus {
    text-decoration: none;
    border-bottom: 1px solid rgb(255, 102, 0);
}

table.dataTable thead .sorting:after,
table.dataTable thead .sorting_asc:after,
table.dataTable thead .sorting_desc:after,
table.dataTable thead .sorting_asc_disabled:after,
table.dataTable thead .sorting_desc_disabled:after {
    /* position: absolute; */
    bottom: 8px;
    left: 0px;
    /* display: block; */
    font-family: 'Glyphicons Halflings';
    /* opacity: 0.5; */
    margin-left: 5px;
}

.count-info .label {
    padding: 2px 4px;
    position: absolute;
    right: 2px;
    top: 10px;
}

table.dataTable thead>tr>th.sorting_asc,
table.dataTable thead>tr>th.sorting_desc,
table.dataTable thead>tr>th.sorting,
table.dataTable thead>tr>td.sorting_asc,
table.dataTable thead>tr>td.sorting_desc,
table.dataTable thead>tr>td.sorting {
    padding-left: 30px;
}


/*!
 * -------for pagination-----------
 */

.paginate_button {
    display: inline-block;
    padding: 4px 8px;
    margin: 0px -1px;
    font-size: 14px;
    white-space: nowrap;
    -ms-touch-action: manipulation;
    touch-action: manipulation;
    cursor: pointer;
    -webkit-user-select: none;
    -moz-user-select: none;
    -ms-user-select: none;
    user-select: none;
    background-image: none;
    border: 1px solid transparent;
    border-radius: 2px;
}

.paginate_button {
    color: #333;
    background-color: #fff;
    border-color: #ccc;
}

.paginate_button:focus,
.paginate_button.focus {
    color: #333;
    background-color: #e6e6e6;
    border-color: #8c8c8c;
}

.paginate_button:hover {
    color: #333;
    background-color: #e6e6e6;
    border-color: #adadad;
}

.previous,
.last {
    margin-right: 5px;
    border-top-right-radius: 4px;
    border-bottom-right-radius: 4px;
}

.next {
    margin-left: 5px;
}

.paginate_input {
    padding: 4px 8px;
    color: #555;
    width: 90px;
    background-color: #fff;
    background-image: none;
    border: 1px solid #ccc;
    border-radius: 2px;
    -webkit-box-shadow: inset 0 1px 1px rgba(0, 0, 0, .075);
    box-shadow: inset 0 1px 1px rgba(0, 0, 0, .075);
    -webkit-transition: border-color ease-in-out .15s, -webkit-box-shadow ease-in-out .15s;
    -o-transition: border-color ease-in-out .15s, box-shadow ease-in-out .15s;
    transition: border-color ease-in-out .15s, box-shadow ease-in-out .15s;
}

.paginate_input:focus {
    border-color: #66afe9;
    outline: 0;
    -webkit-box-shadow: inset 0 1px 1px rgba(0, 0, 0, .075), 0 0 8px rgba(212, 212, 212, 0.6);
    box-shadow: inset 0 1px 1px rgba(0, 0, 0, .075), 0 0 8px rgba(202, 202, 202, 0.6);
}

.first,
.next {
    border-top-left-radius: 4px;
    border-bottom-left-radius: 4px;
}

a.disabled {
    opacity: 0.5;
    pointer-events: none;
    cursor: default;
}